ELANTECH Touchpad is not detected in 'Lenovo Ideapad 320 14AST' after fresh install

Bug #1727544 reported by Agasi Gilang Persada on 2017-10-25
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Xenial
Medium
Unassigned
Artful
Medium
Unassigned

Bug Description

I have installed Ubuntu 16.04 on my new Lenovo Ideapad 320 14AST. The touchpad is not working. I have followed this tutorial https://askubuntu.com/questions/763584/elantech-touchpad-not-working-on-ubuntu-16-04-and-arch-linux and it doesn't work. The touchpad is working fine on Windows. My kernel version is 4.10.0-37-generic.
---
ApportVersion: 2.20.1-0ubuntu2.10
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: agasigp 1605 F.... pulseaudio
 /dev/snd/controlC1: agasigp 1605 F.... pulseaudio
CRDA:
 country ID: DFS-JP
  (2402 - 2482 @ 20), (N/A, 20), (N/A)
  (5735 - 5815 @ 20), (N/A, 23), (N/A)
CurrentDesktop: Unity
DistroRelease: Ubuntu 16.04
HibernationDevice: RESUME=UUID=da16f5a9-567e-4dd7-994a-eb64b6797690
InstallationDate: Installed on 2017-10-25 (2 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
MachineType: LENOVO 80XU
Package: linux (not installed)
ProcFB: 0 amdgpudrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.10.0-37-generic root=UUID=457b1305-a90d-462a-92c2-11d129eb1580 ro i8042.kbdreset=1 quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 4.10.0-37.41~16.04.1-generic 4.10.17
RelatedPackageVersions:
 linux-restricted-modules-4.10.0-37-generic N/A
 linux-backports-modules-4.10.0-37-generic N/A
 linux-firmware 1.157.12
Tags: xenial
Uname: Linux 4.10.0-37-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 09/28/2017
dmi.bios.vendor: LENOVO
dmi.bios.version: 5PCN18WW
dmi.board.asset.tag: No Asset Tag
dmi.board.name: LNVNB161216
dmi.board.vendor: LENOVO
dmi.board.version: No DPK
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo ideapad 320-14AST
dmi.modalias: dmi:bvnLENOVO:bvr5PCN18WW:bd09/28/2017:svnLENOVO:pn80XU:pvrLenovoideapad320-14AST:rvnLENOVO:rnLNVNB161216:rvrNoDPK:cvnLENOVO:ct10:cvrLenovoideapad320-14AST:
dmi.product.name: 80XU
dmi.product.version: Lenovo ideapad 320-14AST
dmi.sys.vendor: LENOVO

Agasi Gilang Persada (agasigp) wrote :

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1727544

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Agasi Gilang Persada (agasigp) wrote :
Agasi Gilang Persada (agasigp) wrote :

apport information

tags: added: apport-collected xenial
description: updated

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Agasi Gilang Persada (agasigp) wrote :

@kaihengfeng It's not working :( I have installed it but the touchpad still doesn't work. But the xinput output now show Elan Touchpad.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
status: Incomplete → Confirmed
Agasi Gilang Persada (agasigp) wrote :

For your info, I reinstall the 16.04 with 17.10 and the touchpad still doesn't work.

Kai-Heng Feng (kaihengfeng) wrote :

Please use kernel in #20 and attach `dmesg` here.

Agasi Gilang Persada (agasigp) wrote :

This is the output of dmesg command after installed the kernel you suggested.

Kai-Heng Feng (kaihengfeng) wrote :

Please use kernel in #20 with parameter "elan_i2c.dyndbg=+p" and attach dmesg here.

Agasi Gilang Persada (agasigp) wrote :

This is the output of dmseg command with kernel paramater "elan_i2c.dyndbg=+p"

Kai-Heng Feng (kaihengfeng) wrote :

Please try this one,
http://people.canonical.com/~khfeng/lp1727544-2/

If it does not work, please do the same thing as in comment #25.

Agasi Gilang Persada (agasigp) wrote :

This the latest dmesg output command using the latest kernel you provided and using the elan_i2c.dyndbg=+p on kernel paramater.

> On 3 Nov 2017, at 6:23 PM, Agasi Gilang Persada <email address hidden> wrote:
>
> FYI, the touchpad is working on login screen after booting, but it only
> works for 5 seconds. After that it doesn't work.

Does this “5 seconds” thing happen on mainline kernel, or the kernel I built?

>
> --
> You received this bug notification because you are subscribed to linux
> in Ubuntu.
> https://bugs.launchpad.net/bugs/1727544
>
> Title:
> ELANTECH Touchpad is not detected in 'Lenovo Ideapad 320 14AST' after
> fresh install
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> I have installed Ubuntu 16.04 on my new Lenovo Ideapad 320 14AST. The touchpad is not working. I have followed this tutorial https://askubuntu.com/questions/763584/elantech-touchpad-not-working-on-ubuntu-16-04-and-arch-linux and it doesn't work. The touchpad is working fine on Windows. My kernel version is 4.10.0-37-generic.
> ---
> ApportVersion: 2.20.1-0ubuntu2.10
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: agasigp 1605 F.... pulseaudio
> /dev/snd/controlC1: agasigp 1605 F.... pulseaudio
> CRDA:
> country ID: DFS-JP
> (2402 - 2482 @ 20), (N/A, 20), (N/A)
> (5735 - 5815 @ 20), (N/A, 23), (N/A)
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 16.04
> HibernationDevice: RESUME=UUID=da16f5a9-567e-4dd7-994a-eb64b6797690
> InstallationDate: Installed on 2017-10-25 (2 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
> MachineType: LENOVO 80XU
> Package: linux (not installed)
> ProcFB: 0 amdgpudrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.10.0-37-generic root=UUID=457b1305-a90d-462a-92c2-11d129eb1580 ro i8042.kbdreset=1 quiet splash vt.handoff=7
> ProcVersionSignature: Ubuntu 4.10.0-37.41~16.04.1-generic 4.10.17
> RelatedPackageVersions:
> linux-restricted-modules-4.10.0-37-generic N/A
> linux-backports-modules-4.10.0-37-generic N/A
> linux-firmware 1.157.12
> Tags: xenial
> Uname: Linux 4.10.0-37-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
> dmi.bios.date: 09/28/2017
> dmi.bios.vendor: LENOVO
> dmi.bios.version: 5PCN18WW
> dmi.board.asset.tag: No Asset Tag
> dmi.board.name: LNVNB161216
> dmi.board.vendor: LENOVO
> dmi.board.version: No DPK
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Lenovo ideapad 320-14AST
> dmi.modalias: dmi:bvnLENOVO:bvr5PCN18WW:bd09/28/2017:svnLENOVO:pn80XU:pvrLenovoideapad320-14AST:rvnLENOVO:rnLNVNB161216:rvrNoDPK:cvnLENOVO:ct10:cvrLenovoideapad320-14AST:
> dmi.product.name: 80XU
> dmi.product.version: Lenovo ideapad 320-14AST
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1727544/+subscriptions

Agasi Gilang Persada (agasigp) wrote :

It happens only on the kernel you built, not the mainline kernel.

Kai-Heng Feng (kaihengfeng) wrote :

Please try kernel here. This kernel includes a new fix for AMD laptops,
http://people.canonical.com/~khfeng/lp1727544+pinctrl/

Agasi Gilang Persada (agasigp) wrote :

It works! Thanks @kaihengfeng for the solution. The touchpad is working normal like in Windows. The gesture is also working. So, actually I'm using the kernel 4.14-rc8 right? So when the the kernel 4.14 become stable, I just upgrade it using apt upgrade or I need to install it manually?

Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
Kai-Heng Feng (kaihengfeng) wrote :

There are two different parts:
- Missing ID for your touchpad, I'll send a patch to add your touchpad to ID table.

- A bug in pinctrl-amd (used in AMD laptops), this commit can fix it:
commit 6afb10267c1692ada3a2903e31ea339917ad3ac0
Author: Daniel Drake <email address hidden>
Date: Mon Oct 2 12:00:54 2017 +0800

    pinctrl/amd: fix masking of GPIO interrupts

So 4.14-rc8 itself doesn't support your touchpad, it misses the first part.

Kai-Heng Feng (kaihengfeng) wrote :

Hi, please try this kernel,

http://people.canonical.com/~khfeng/lp1727544-3/

It's an Artful kernel with the pinctrl-amd commit.
If that commit along fixes the issue, I'll ask maintainer to include the patch to linux-stable.

Stefan Bader (smb) on 2017-11-21
Changed in linux (Ubuntu Xenial):
importance: Undecided → Medium
status: New → Fix Committed
Stefan Bader (smb) on 2017-11-21
Changed in linux (Ubuntu Artful):
importance: Undecided → Medium
status: New → Fix Committed
Eugene Savelov (savelov) wrote :

New artful kernel with this fix also fixes touchpad on Asus X505BA laptop with ELAN1200 connected via GPIO

Khaled El Mously (kmously) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Agasi Gilang Persada (agasigp) wrote :

kmously : Done. The touchpad is working fine with the kernel from kaihengfeng.

tags: added: verification-done-xenial
removed: verification-needed-xenial
Khaled El Mously (kmously) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-artful' to 'verification-done-artful'. If the problem still exists, change the tag 'verification-needed-artful' to 'verification-failed-artful'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-artful
Launchpad Janitor (janitor) wrote :
Download full text (15.0 KiB)

This bug was fixed in the package linux - 4.13.0-19.22

---------------
linux (4.13.0-19.22) artful; urgency=low

  * linux: 4.13.0-19.22 -proposed tracker (LP: #1736118)

  * CVE-2017-1000405
    - mm, thp: Do not make page table dirty unconditionally in touch_p[mu]d()

linux (4.13.0-18.21) artful; urgency=low

  * linux: 4.13.0-18.21 -proposed tracker (LP: #1733530)

  * NVMe timeout is too short (LP: #1729119)
    - nvme: update timeout module parameter type

  * CPU call trace on AMD Raven Ridge after S3 (LP: #1732894)
    - x86/mce/AMD: Allow any CPU to initialize the smca_banks array

  * Set PANIC_TIMEOUT=10 on Power Systems (LP: #1730660)
    - [Config]: Set PANIC_TIMEOUT=10 on ppc64el

  * Cannot pair BLE remote devices when using combo BT SoC (LP: #1731467)
    - Bluetooth: increase timeout for le auto connections

  * enable CONFIG_SND_SOC_INTEL_BYT_CHT_NOCODEC_MACH easily confuse users
    (LP: #1732627)
    - [Config] CONFIG_SND_SOC_INTEL_BYT_CHT_NOCODEC_MACH=n

  * Plantronics P610 does not support sample rate reading (LP: #1719853)
    - ALSA: usb-audio: Add sample rate quirk for Plantronics P610

  * Allow drivers to use Relaxed Ordering on capable root ports (LP: #1721365)
    - Revert commit 1a8b6d76dc5b ("net:add one common config...")
    - net: ixgbe: Use new PCI_DEV_FLAGS_NO_RELAXED_ORDERING flag

  * support GICv3 ITS save/restore & migration (LP: #1710019)
    - KVM: arm/arm64: vgic-its: Fix return value for device table restore

  * Device hotplugging with MPT SAS cannot work for VMWare ESXi (LP: #1730852)
    - scsi: mptsas: Fixup device hotplug for VMWare ESXi

  * Artful update to 4.13.13 stable release (LP: #1732726)
    - netfilter: nat: Revert "netfilter: nat: convert nat bysrc hash to
      rhashtable"
    - netfilter: nft_set_hash: disable fast_ops for 2-len keys
    - workqueue: Fix NULL pointer dereference
    - crypto: ccm - preserve the IV buffer
    - crypto: x86/sha1-mb - fix panic due to unaligned access
    - crypto: x86/sha256-mb - fix panic due to unaligned access
    - KEYS: fix NULL pointer dereference during ASN.1 parsing [ver #2]
    - ACPI / PM: Blacklist Low Power S0 Idle _DSM for Dell XPS13 9360
    - ARM: 8720/1: ensure dump_instr() checks addr_limit
    - ALSA: timer: Limit max instances per timer
    - ALSA: usb-audio: support new Amanero Combo384 firmware version
    - ALSA: hda - fix headset mic problem for Dell machines with alc274
    - ALSA: seq: Fix OSS sysex delivery in OSS emulation
    - ALSA: seq: Avoid invalid lockdep class warning
    - MIPS: Fix CM region target definitions
    - MIPS: BMIPS: Fix missing cbr address
    - MIPS: AR7: Defer registration of GPIO
    - MIPS: AR7: Ensure that serial ports are properly set up
    - KVM: PPC: Book3S HV: Fix exclusion between HPT resizing and other HPT
      updates
    - Input: elan_i2c - add ELAN060C to the ACPI table
    - rbd: use GFP_NOIO for parent stat and data requests
    - drm/vmwgfx: Fix Ubuntu 17.10 Wayland black screen issue
    - Revert "x86: CPU: Fix up "cpu MHz" in /proc/cpuinfo"
    - can: sun4i: handle overrun in RX FIFO
    - can: peak: Add support for new PCIe/M2 CAN FD interfaces
    - can: ifi: Fix transmitter del...

Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (9.5 KiB)

This bug was fixed in the package linux - 4.4.0-103.126

---------------
linux (4.4.0-103.126) xenial; urgency=low

  * linux: 4.4.0-103.126 -proposed tracker (LP: #1736181)

  * CVE-2017-1000405
    - mm, thp: Do not make page table dirty unconditionally in touch_p[mu]d()

  * CVE-2017-16939
    - netlink: add a start callback for starting a netlink dump
    - ipsec: Fix aborted xfrm policy dump crash

linux (4.4.0-102.125) xenial; urgency=low

  * linux: 4.4.0-102.125 -proposed tracker (LP: #1733541)

  * tar -x sometimes fails on overlayfs (LP: #1728489)
    - ovl: check if all layers are on the same fs
    - ovl: persistent inode number for directories

  * NVMe timeout is too short (LP: #1729119)
    - nvme: update timeout module parameter type

  * Set PANIC_TIMEOUT=10 on Power Systems (LP: #1730660)
    - [Config]: Set PANIC_TIMEOUT=10 on ppc64el

  * Cannot pair BLE remote devices when using combo BT SoC (LP: #1731467)
    - Bluetooth: increase timeout for le auto connections

  * CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config (LP: #1729337)
    - SMB3: Validate negotiate request must always be signed

  * Plantronics P610 does not support sample rate reading (LP: #1719853)
    - ALSA: usb-audio: Add sample rate quirk for Plantronics P610

  * Invalid btree pointer causes the kernel NULL pointer dereference
    (LP: #1729256)
    - xfs: reinit btree pointer on attr tree inactivation walk

  * Samba mount/umount in docker container triggers kernel Oops (LP: #1729637)
    - ipv6: only call ip6_route_dev_notify() once for NETDEV_UNREGISTER
    - ipv6: fix NULL dereference in ip6_route_dev_notify()

  * [kernel] tty/hvc: Use opal irqchip interface if available (LP: #1728098)
    - tty/hvc: Use opal irqchip interface if available

  * Device hotplugging with MPT SAS cannot work for VMWare ESXi (LP: #1730852)
    - scsi: mptsas: Fixup device hotplug for VMWare ESXi

  * NMI watchdog: BUG: soft lockup on Guest upon boot (KVM) (LP: #1727331)
    - KVM: PPC: Book3S: Treat VTB as a per-subcore register, not per-thread

  * Attempt to map rbd image from ceph jewel/luminous hangs (LP: #1728739)
    - crush: ensure bucket id is valid before indexing buckets array
    - crush: ensure take bucket value is valid
    - crush: add chooseleaf_stable tunable
    - crush: decode and initialize chooseleaf_stable
    - libceph: advertise support for TUNABLES5
    - libceph: MOSDOpReply v7 encoding

  * Xenial update to 4.4.98 stable release (LP: #1732698)
    - adv7604: Initialize drive strength to default when using DT
    - video: fbdev: pmag-ba-fb: Remove bad `__init' annotation
    - PCI: mvebu: Handle changes to the bridge windows while enabled
    - xen/netback: set default upper limit of tx/rx queues to 8
    - drm: drm_minor_register(): Clean up debugfs on failure
    - KVM: PPC: Book 3S: XICS: correct the real mode ICP rejecting counter
    - iommu/arm-smmu-v3: Clear prior settings when updating STEs
    - powerpc/corenet: explicitly disable the SDHC controller on kmcoge4
    - ARM: omap2plus_defconfig: Fix probe errors on UARTs 5 and 6
    - crypto: vmx - disable preemption to enable vsx in aes_ctr.c
    - iio: trigger: free trigger...

Read more...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Eugene Savelov (savelov) wrote :

sorry, and how to add touchpad id so that ELAN1200 04F3:303E is detected by elan_i2c module and works correctly? my touchpad is currently detected by hid-multitouch instead and does not work correctly.

Kai-Heng Feng (kaihengfeng) wrote :

> On 1 Jan 2018, at 10:01 PM, Eugene Savelov <email address hidden> wrote:
>
> sorry, and how to add touchpad id so that ELAN1200 04F3:303E is
> detected by elan_i2c module and works correctly? my touchpad is
> currently detected by hid-multitouch instead and does not work
> correctly.

IIRC ELAN1200 should use hid-multitouch.

>
> --
> You received this bug notification because you are subscribed to linux
> in Ubuntu.
> https://bugs.launchpad.net/bugs/1727544
>
> Title:
> ELANTECH Touchpad is not detected in 'Lenovo Ideapad 320 14AST' after
> fresh install
>
> Status in linux package in Ubuntu:
> Confirmed
> Status in linux source package in Xenial:
> Fix Released
> Status in linux source package in Artful:
> Fix Released
>
> Bug description:
> I have installed Ubuntu 16.04 on my new Lenovo Ideapad 320 14AST. The touchpad is not working. I have followed this tutorial https://askubuntu.com/questions/763584/elantech-touchpad-not-working-on-ubuntu-16-04-and-arch-linux and it doesn't work. The touchpad is working fine on Windows. My kernel version is 4.10.0-37-generic.
> ---
> ApportVersion: 2.20.1-0ubuntu2.10
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: agasigp 1605 F.... pulseaudio
> /dev/snd/controlC1: agasigp 1605 F.... pulseaudio
> CRDA:
> country ID: DFS-JP
> (2402 - 2482 @ 20), (N/A, 20), (N/A)
> (5735 - 5815 @ 20), (N/A, 23), (N/A)
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 16.04
> HibernationDevice: RESUME=UUID=da16f5a9-567e-4dd7-994a-eb64b6797690
> InstallationDate: Installed on 2017-10-25 (2 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
> MachineType: LENOVO 80XU
> Package: linux (not installed)
> ProcFB: 0 amdgpudrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.10.0-37-generic root=UUID=457b1305-a90d-462a-92c2-11d129eb1580 ro i8042.kbdreset=1 quiet splash vt.handoff=7
> ProcVersionSignature: Ubuntu 4.10.0-37.41~16.04.1-generic 4.10.17
> RelatedPackageVersions:
> linux-restricted-modules-4.10.0-37-generic N/A
> linux-backports-modules-4.10.0-37-generic N/A
> linux-firmware 1.157.12
> Tags: xenial
> Uname: Linux 4.10.0-37-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
> dmi.bios.date: 09/28/2017
> dmi.bios.vendor: LENOVO
> dmi.bios.version: 5PCN18WW
> dmi.board.asset.tag: No Asset Tag
> dmi.board.name: LNVNB161216
> dmi.board.vendor: LENOVO
> dmi.board.version: No DPK
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Lenovo ideapad 320-14AST
> dmi.modalias: dmi:bvnLENOVO:bvr5PCN18WW:bd09/28/2017:svnLENOVO:pn80XU:pvrLenovoideapad320-14AST:rvnLENOVO:rnLNVNB161216:rvrNoDPK:cvnLENOVO:ct10:cvrLenovoideapad320-14AST:
> dmi.product.name: 80XU
> dmi.product.version: Lenovo ideapad 320-14AST
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1727544/+subscriptions

Launchpad Janitor (janitor) wrote :
Download full text (14.0 KiB)

This bug was fixed in the package linux - 4.13.0-25.29

---------------
linux (4.13.0-25.29) artful; urgency=low

  * linux: 4.13.0-25.29 -proposed tracker (LP: #1741955)

  * CVE-2017-5754
    - Revert "UBUNTU: [Config] updateconfigs to enable PTI"
    - [Config] Enable PTI with UNWINDER_FRAME_POINTER

linux (4.13.0-24.28) artful; urgency=low

  * linux: 4.13.0-24.28 -proposed tracker (LP: #1741745)

  * CVE-2017-5754
    - x86/cpu, x86/pti: Do not enable PTI on AMD processors

linux (4.13.0-23.27) artful; urgency=low

  * linux: 4.13.0-23.27 -proposed tracker (LP: #1741556)

  [ Kleber Sacilotto de Souza ]
  * CVE-2017-5754
    - x86/mm: Add the 'nopcid' boot option to turn off PCID
    - x86/mm: Enable CR4.PCIDE on supported systems
    - x86/mm: Document how CR4.PCIDE restore works
    - x86/entry/64: Refactor IRQ stacks and make them NMI-safe
    - x86/entry/64: Initialize the top of the IRQ stack before switching stacks
    - x86/entry/64: Add unwind hint annotations
    - xen/x86: Remove SME feature in PV guests
    - x86/xen/64: Rearrange the SYSCALL entries
    - irq: Make the irqentry text section unconditional
    - x86/xen/64: Fix the reported SS and CS in SYSCALL
    - x86/paravirt/xen: Remove xen_patch()
    - x86/traps: Simplify pagefault tracing logic
    - x86/idt: Unify gate_struct handling for 32/64-bit kernels
    - x86/asm: Replace access to desc_struct:a/b fields
    - x86/xen: Get rid of paravirt op adjust_exception_frame
    - x86/paravirt: Remove no longer used paravirt functions
    - x86/entry: Fix idtentry unwind hint
    - x86/mm/64: Initialize CR4.PCIDE early
    - objtool: Add ORC unwind table generation
    - objtool, x86: Add facility for asm code to provide unwind hints
    - x86/unwind: Add the ORC unwinder
    - x86/kconfig: Consolidate unwinders into multiple choice selection
    - objtool: Upgrade libelf-devel warning to error for CONFIG_ORC_UNWINDER
    - x86/ldt/64: Refresh DS and ES when modify_ldt changes an entry
    - x86/mm: Give each mm TLB flush generation a unique ID
    - x86/mm: Track the TLB's tlb_gen and update the flushing algorithm
    - x86/mm: Rework lazy TLB mode and TLB freshness tracking
    - x86/mm: Implement PCID based optimization: try to preserve old TLB entries
      using PCID
    - x86/mm: Factor out CR3-building code
    - x86/mm/64: Stop using CR3.PCID == 0 in ASID-aware code
    - x86/mm: Flush more aggressively in lazy TLB mode
    - Revert "x86/mm: Stop calling leave_mm() in idle code"
    - kprobes/x86: Set up frame pointer in kprobe trampoline
    - x86/tracing: Introduce a static key for exception tracing
    - x86/boot: Add early cmdline parsing for options with arguments
    - mm, x86/mm: Fix performance regression in get_user_pages_fast()
    - x86/asm: Remove unnecessary \n\t in front of CC_SET() from asm templates
    - objtool: Don't report end of section error after an empty unwind hint
    - x86/head: Remove confusing comment
    - x86/head: Remove unused 'bad_address' code
    - x86/head: Fix head ELF function annotations
    - x86/boot: Annotate verify_cpu() as a callable function
    - x86/xen: Fix xen head ELF annotations
    - x86/xen: Add unwind hint anno...

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers